3d8f21b Apr 6, 2015
76 lines (64 sloc) 2.86 KB
apply plugin: 'eclipse'
apply plugin: 'war'
apply plugin: 'eclipse-wtp'
apply plugin: 'tomcat'
buildscript {
repositories {
maven { url "http://repo.spring.io/milestone" }
mavenCentral()
}
dependencies {
classpath 'org.gradle.api.plugins:gradle-tomcat-plugin:0.9.9'
}
}
sourceCompatibility=1.7
targetCompatibility=1.7
war {
baseName = 'spring-social-showcase'
}
dependencies {
tomcat "org.apache.tomcat.embed:tomcat-embed-core:${tomcatVersion}",
"org.apache.tomcat.embed:tomcat-embed-logging-juli:${tomcatVersion}"
tomcat("org.apache.tomcat.embed:tomcat-embed-jasper:${tomcatVersion}") {
exclude group: 'org.eclipse.jdt.core.compiler', module: 'ecj'
}
compile "org.springframework:spring-context:$springVersion"
compile "org.springframework:spring-jdbc:$springVersion"
compile "org.springframework:spring-tx:$springVersion"
compile "org.springframework:spring-web:$springVersion"
compile "org.springframework:spring-webmvc:$springVersion"
compile "org.springframework.security:spring-security-config:$springSecurityVersion"
compile "org.springframework.security:spring-security-taglibs:$springSecurityVersion"
compile "org.springframework.security:spring-security-web:$springSecurityVersion"
compile "org.springframework.social:spring-social-config:$springSocialVersion"
compile "org.springframework.social:spring-social-core:$springSocialVersion"
compile "org.springframework.social:spring-social-web:$springSocialVersion"
compile "org.springframework.social:spring-social-facebook:$springSocialFacebookVersion"
compile "org.springframework.social:spring-social-facebook-web:$springSocialFacebookVersion"
compile "org.springframework.social:spring-social-twitter:$springSocialTwitterVersion"
compile "org.springframework.social:spring-social-linkedin:$springSocialLinkedInVersion"
compile("org.thymeleaf:thymeleaf-spring4:$thymeleafVersion")
compile("nz.net.ultraq.thymeleaf:thymeleaf-layout-dialect:$thymeleafLayoutVersion")
compile "org.apache.httpcomponents:httpclient:$httpclientVersion"
compile "javax.validation:validation-api:$javaxValidationVersion"
compile "org.hibernate:hibernate-validator:$hibernateValidatorVersion"
compile "org.slf4j:slf4j-api:$slf4jVersion"
compile "org.slf4j:jcl-over-slf4j:$slf4jVersion"
compile "org.slf4j:slf4j-log4j12:$slf4jVersion"
compile "log4j:log4j:$log4jVersion"
compile "com.h2database:h2:$h2Version"
compile "cglib:cglib-nodep:$cglibVersion"
compile "javax.inject:javax.inject:$javaxInjectVersion"
providedCompile "javax.servlet:javax.servlet-api:$servletApiVersion"
}
repositories {
mavenLocal()
maven { url 'http://repo.spring.io/release' }
maven { url 'http://repo.spring.io/milestone' }
maven { url 'http://repo.spring.io/snapshot' }
maven { url 'http://download.java.net/maven/2' }
mavenCentral()
}
task wrapper(type: Wrapper) {
gradleVersion = '1.11'
}